import Head from 'next/head'

const Backgrounds = [
  "Yellow",
  "White",
  "Red",
  "Pink",
  "Green",
  "Blue",
  "Black"
]

const Colors = [
  "#f5b201",
  "#e3e3e3",
  "#8d1f20",
  "#c81de8",
  "#66aa17",
  "#0e5c8a",
  "#2c2c2c",
]

function getRandomInt(min, max) {
    min = Math.ceil(min);
    max = Math.floor(max);
    return Math.floor(Math.random() * (max - min) + min); //The maximum is exclusive and the minimum is inclusive
}

export default function Home() {
  const backgroundIndex = getRandomInt(0, Backgrounds.length);

  return (
    <div className="w-screen h-screen" style={{ backgroundColor: Colors[5] }}>
      <Head>
        <title>Softprovider</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <img className="w-screen h-screen object-contain md:object-cover" src={`/imgs/UnderConstruction2.jpg`}/>
    </div>
  )
}
